MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
DeleteDisposer Struct Reference

A disposer for boost::intrusive that invokes the "delete" operator on the given pointer. More...

`#include <DeleteDisposer.hxx>`

## Public Member Functions
template<typename T >
void | operator() (T *t)

## Detailed Description

A disposer for boost::intrusive that invokes the "delete" operator on the given pointer.

Definition at line 37 of file DeleteDisposer.hxx.

## Member Function Documentation

template<typename T >

void DeleteDisposer::operator() | ( | T * | t | ) |
| inline

Definition at line 39 of file DeleteDisposer.hxx.

The documentation for this struct was generated from the following file:

- util/DeleteDisposer.hxx